org.modeshape.jcr.cache.document

## Class LocalDocumentStore.DocumentOperationResults

- java.lang.Object
- - org.modeshape.jcr.cache.document.LocalDocumentStore.DocumentOperationResults

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    LocalDocumentStore

      public static class LocalDocumentStore.DocumentOperationResults
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalDocumentStore.DocumentOperationResults()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected LocalDocumentStore.DocumentOperationResults` | `combine(LocalDocumentStore.DocumentOperationResults other)`
    `long` | `getFailureCount()` Return the number of documents that caused some failure.
    `long` | `getModifiedCount()` Return the number of documents that were successfully updated/modified by the operation.
    `long` | `getSkipCount()` Return the number of documents that were skipped by the operation because the document could not be obtained in an timely fashion.
    `long` | `getUnmodifiedCount()` Return the number of documents that were not updated/modified by the operation.
    `protected void` | `recordFailure()`
    `protected void` | `recordModified()`
    `protected void` | `recordSkipped()`
    `protected void` | `recordUnmodified()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalDocumentStore.DocumentOperationResults

          public LocalDocumentStore.DocumentOperationResults()

  - ### Method Detail

    - #### getModifiedCount

          public long getModifiedCount()

      Return the number of documents that were successfully updated/modified by the operation.
      Returns:
        the number of modified documents

    - #### getUnmodifiedCount

          public long getUnmodifiedCount()

      Return the number of documents that were not updated/modified by the operation.
      Returns:
        the number of unmodified documents

    - #### getFailureCount

          public long getFailureCount()

      Return the number of documents that caused some failure.
      Returns:
        the number of failed documents

    - #### getSkipCount

          public long getSkipCount()

      Return the number of documents that were skipped by the operation because the document could not be obtained in an timely fashion.
      Returns:
        the number of skipped documents

    - #### recordModified

          protected void recordModified()

    - #### recordUnmodified

          protected void recordUnmodified()

    - #### recordFailure

          protected void recordFailure()

    - #### recordSkipped

          protected void recordSkipped()

    - #### combine

          protected LocalDocumentStore.DocumentOperationResults combine(LocalDocumentStore.DocumentOperationResults other)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.